SELECT
person.prename,person.fname,person.lname,person.hnomoi,person.mumoi,person.typelive
FROM
person
RIGHT JOIN
ncd_person_ncd_screen
on person.pcucodeperson = ncd_person_ncd_screen.pcucode
and person.pid = ncd_person_ncd_screen.pid
WHERE
person.typelive not in (0,1,3)
and ncd_person_ncd_screen.screen_date
BETWEEN '20131001' and '20140930';